# sfepy.postprocess.probes_vtk module

Classes for probing values of Variables, for example, along a line, using PyVTK library

class sfepy.postprocess.probes_vtk.Probe(data, mesh, **kwargs)

  Probe class.

  add_circle_probe(name, centre, normal, radius, n_point)

    Create the ray (line) probe - VTK object.

    Parameters:
      name str

        The probe name.

      centre array

        The coordinates of the circle center point.

      normal array

        The normal vector perpendicular to the circle plane.

      radius float

        The radius of the circle.

      n_point int

        The number of probe points.

  add_line_probe(name, p0, p1, n_point)

    Create the line probe - VTK object.

    Parameters:
      name str

        The probe name.

      p0 array_like

        The coordinates of the start point.

      p1 array_like

        The coordinates of the end point.

      n_point int

        The number of probe points.

  add_points_probe(name, coors)

    Create the point probe - VTK object.

    Parameters:
      name str

        The probe name.

      coors array

        The coordinates of the probe points.

  add_ray_probe(name, p0, dirvec, p_fun, n_point)

    Create the ray (line) probe - VTK object.

    Parameters:
      name str

        The probe name.

      p0 array

        The coordinates of the start point.

      dirvec array

        The probe direction vector.

      p_fun function

        The function returning the probe parametrization along the dirvec direction.

      n_point int

        The number of probe points.

  gen_mesh_probe_png(probe, png_filename)

    Generate PNG image of the FE mesh.

    Parameters:
      probe VTK objectstr

        The probe, VTKPolyData or VTKSource.

      png_filename str

        The name of the output PNG file.

  new_vtk_polyline(points, closed=False)

    Create the VTKPolyData object and store the line data.

    Parameters:
      points array

        The line points.

    Returns:
      vtkpd VTK object

        VTKPolyData with the polyline.

class sfepy.postprocess.probes_vtk.ProbeFromFile(filename, **kwargs)

  Probe class - read a given VTK file.